Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface DomainLogFilterMBean

public interface DomainLogFilterMBean
extends ConfigurationMBean

This MBean represents a filter to qualify log messages which are logged to the domain logfile. A message must qualify all criteria specified to qualify the filter. Multiple instances of this MBean can be defined, if needed. If there are multiple instances, a message must qualify atleast one filter to qualify for the domain logfile.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `ALERT`
`static int` | `CRITICAL`
`static int` | `EMERGENCY`
`static int` | `ERROR`
`static int` | `INFO`
`static int` | `NOTICE`
`static int` | `WARNING`

Method Summary
`int` | `getSeverityLevel()` The minimum severity of a message which qualifies this filter.
`java.lang.String[]` | `getSubsystemNames()` This defines the list of subsystems whose messages qualify for this filter.
`java.lang.String[]` | `getUserIds()` This defines the list of users whose messages qualify for this filter.
`void` | `setSeverityLevel(int severityLevel)`
`void` | `setSubsystemNames(java.lang.String[] subsystemList)`
`void` | `setUserIds(java.lang.String[] userIdList)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### INFO

    public static final int INFO

### WARNING

    public static final int WARNING

### ERROR

    public static final int ERROR

### NOTICE

    public static final int NOTICE

### CRITICAL

    public static final int CRITICAL

### ALERT

    public static final int ALERT

### EMERGENCY

    public static final int EMERGENCY

Method Detail

### getSeverityLevel

    public int getSeverityLevel()

  The minimum severity of a message which qualifies this filter. All messages with given severity and higher, qualify. The ascending order of severities is INFO, WARNING, ERROR, NOTICE, CRITICAL, ALERT and EMERGENCY. For numeric values refer to weblogic.logging.Severities.

  Default Value: weblogic.logging.Severities.ERROR
  Legal Values: INFO, WARNING, ERROR, NOTICE, CRITICAL, ALERT, EMERGENCY
  See Also:
    `Severities`

### setSeverityLevel

    public void setSeverityLevel(int severityLevel)
                          throws javax.management.InvalidAttributeValueException,
                                 DistributedManagementException

### getSubsystemNames

    public java.lang.String[] getSubsystemNames()

  This defines the list of subsystems whose messages qualify for this filter. If none are specified, messages from all subsystems qualify.

### setSubsystemNames

    public void setSubsystemNames(java.lang.String[] subsystemList)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  A dynamic MBean attribute

### getUserIds

    public java.lang.String[] getUserIds()

  This defines the list of users whose messages qualify for this filter. If no ids are specified, messages from all user ids qualify.

### setUserIds

    public void setUserIds(java.lang.String[] userIdList)
                    throws javax.management.InvalidAttributeValueException,
                           DistributedManagementException

  A dynamic MBean attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD